Package org.h2gis.functions.spatial.create

## Class ST_MakeLine

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.create.ST_MakeLine

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_MakeLine
    extends org.h2gis.api.DeterministicScalarFunction

ST_MakeLine constructs a LINESTRING from POINT and MULTIPOINT geometries.

Author:
  Adam Gouge

### Field Summary

Fields
`static int` `REQUIRED_NUMBER_OF_POINTS`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_MakeLine()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.LineString` `createLine​(org.locationtech.jts.geom.GeometryCollection points)` Constructs a LINESTRING from the given collection of POINTs and/or MULTIPOINTs
`static org.locationtech.jts.geom.LineString` `createLine​(org.locationtech.jts.geom.Geometry pointA, org.locationtech.jts.geom.Geometry... optionalPoints)` Constructs a LINESTRING from the given POINTs or MULTIPOINTs
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Field Detail

#### REQUIRED_NUMBER_OF_POINTS

    public static final int REQUIRED_NUMBER_OF_POINTS

See Also:
  Constant Field Values

### Constructor Detail

#### ST_MakeLine

    public ST_MakeLine()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### createLine

    public static org.locationtech.jts.geom.LineString createLine​(org.locationtech.jts.geom.Geometry pointA,
                                                                  org.locationtech.jts.geom.Geometry... optionalPoints)
                                                           throws SQLException

Constructs a LINESTRING from the given POINTs or MULTIPOINTs

Parameters:
  `pointA` - The first POINT or MULTIPOINT
  `optionalPoints` - Optional POINTs or MULTIPOINTs
Returns:
  The LINESTRING constructed from the given POINTs or MULTIPOINTs
Throws:
  `SQLException`

#### createLine

    public static org.locationtech.jts.geom.LineString createLine​(org.locationtech.jts.geom.GeometryCollection points)
                                                           throws SQLException

Constructs a LINESTRING from the given collection of POINTs and/or MULTIPOINTs

Parameters:
  `points` - Points
Returns:
  The LINESTRING constructed from the given collection of POINTs and/or MULTIPOINTs
Throws:
  `SQLException`